#pragma once
#pragma unmanaged
#include "BulletCollision/CollisionShapes/btCollisionShape.h"
#pragma managed
using namespace System;
using namespace Microsoft::Xna::Framework;

namespace BulletCLI 
{
    public ref class ICollisionShape abstract
	{
	internal:
		virtual btCollisionShape* GetPtr()=0;
    public:
        virtual ~ICollisionShape(){}
        void CalculateLocalInertia(float weight,[System::Runtime::InteropServices::Out] Vector3 %localInertia);
	};
}
